package de.intevation.flys.importer;

import java.math.BigDecimal;


public class ImportBedHeightSingleValue {

    protected ImportBedHeightSingle bedHeight;

    protected BigDecimal station;
    protected BigDecimal height;
    protected BigDecimal uncertainty;
    protected BigDecimal dataGap;
    protected BigDecimal soundingWidth;
    protected BigDecimal width;


    public ImportBedHeightSingleValue(
        ImportBedHeightSingle bedHeight,
        BigDecimal station,
        BigDecimal height,
        BigDecimal uncertainty,
        BigDecimal dataGap,
        BigDecimal soundingWidth,
        BigDecimal width
    ) {
        this.bedHeight     = bedHeight;
        this.station       = station;
        this.height        = height;
        this.uncertainty   = uncertainty;
        this.dataGap       = dataGap;
        this.soundingWidth = soundingWidth;
        this.width         = width;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
