package de.intevation.flys.importer;

import org.apache.log4j.Logger;


public class ImportBedHeightType {

    private static final Logger log =
        Logger.getLogger(ImportBedHeightType.class);

    protected String name;
    protected String description;


    public ImportBedHeightType(String name, String description) {
        this.name        = name;
        this.description = description;
    }


    public static String getBedHeightName(String description) {
        if (description.equals("Flächenpeilung")) {
            return "FP";
        }
        else if ("Querprofile".equals(description)) {
            return "QP";
        }
        else {
            log.warn("Unknown bed height type: " + description);
            return null;
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
